Package org.jbpm.casemgmt.impl.marshalling

## Class SerializedContent

- java.lang.Object
- - org.jbpm.casemgmt.impl.marshalling.SerializedContent

- All Implemented Interfaces:
    `Serializable`

      public class SerializedContent
      extends Object
      implements Serializable

  Represents individual content that is part of CaseFileInstance that is persisted by independent marshaller.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SerializedContent()` |
    `SerializedContent​(String marshaller, String name, byte[] content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `byte[]` | `getContent()` |
    `String` | `getMarshaller()` |
    `String` | `getName()` |
    `int` | `hashCode()` |
    `void` | `setContent​(byte[] content)` |
    `void` | `setMarshaller​(String marshaller)` |
    `void` | `setName​(String name)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializedContent

          public SerializedContent()

    - #### SerializedContent

          public SerializedContent​(String marshaller,
                                   String name,
                                   byte[] content)

  - ### Method Detail

    - #### getMarshaller

          public String getMarshaller()

    - #### setMarshaller

          public void setMarshaller​(String marshaller)

    - #### getContent

          public byte[] getContent()

    - #### setContent

          public void setContent​(byte[] content)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`